// src/directives/lazyLoad.js
export default {
  inserted(el, binding) {
    let hasError = false;

    if (el.tagName === "IMG" || el.tagName === "IFRAME") {
      el.src = require("../assets/img/loading.gif");
      const handleLoad = () => {
        if (!hasError) {
          el.src = binding.value.src;
          el.onload = null; // Remove the onload event to prevent loops
        }
      };

      const handleError = () => {
        hasError = true;
        el.src = require("../assets/img/loadingError.webp");
        el.onerror = null; // Remove the onerror event to prevent loops
      };

      el.onload = handleLoad;
      el.onerror = handleError;

      el.src = binding.value.src;
    }
  },
  update(el, binding) {
    let hasError = false;

    if (el.src !== binding.value.src) {
      el.src = require("../assets/img/loading.gif");

      const handleLoad = () => {
        if (!hasError) {
          el.src = binding.value.src;
          el.onload = null; // Remove the onload event to prevent loops
        }
      };

      const handleError = () => {
        hasError = true;
        el.src = require("../assets/img/loadingError.webp");
        el.onerror = null; // Remove the onerror event to prevent loops
      };

      el.onload = handleLoad;
      el.onerror = handleError;

      el.src = binding.value.src;
    }
  },
};
